package m05bTallerEJB;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

import m05bBD.m05bTaller;


/**
 * This is the Remote Interface for the Entity EJB <tt>M05TallerEB</tt>.
 *
 * @see     m05.exe.Taller 
 * @see     m05.exe.M05TallerEBHome
 * @see     m05.exe.M05TallerEBPK
 * @see     m05.exe.M05TallerEBBean 
 * @author <a href="mailto:paco.gomez@terra.com">Paco Gomez</a>.
 *         Professional J2EE Programming with BEA WebLogic Server, 
 *         by Gomez & Zadrozny, Copyright &#169; 2000. 
 */
public interface m05Taller extends EJBObject{

  public String getTal_codigo()throws RemoteException;  
  public void setTal_codigo(String n)throws RemoteException;  
  
  public String getTal_poblacion()throws RemoteException;  
  public void setTal_poblacion(String n)throws RemoteException;  
  
  public String getTal_descripcion()throws RemoteException;  
  public void setTal_descripcion(String n)throws RemoteException;  
  
  public String getTal_direccion()throws RemoteException;  
  public void setTal_direccion(String n)throws RemoteException;  
  
  public String getTal_telefono()throws RemoteException;  
  public void setTal_telefono(String n)throws RemoteException;  
  
  public String getTal_marca()throws RemoteException;  
  public void setTal_marca(String n)throws RemoteException;  

  public String getTal_propio()throws RemoteException;  
  public void setTal_propio(String n)throws RemoteException;  

  public String getTal_rama()throws RemoteException;  
  public void setTal_rama(String n)throws RemoteException;  

  /**
   * Returns the Taller information of this E-EJB.
   */   
  public m05bTaller getTaller()
    throws RemoteException;

  /**
   * Sets the Parametro information of this E-EJB.
   * @exception P2GException 
   *              If the given Taller <tt>mod_id</tt> field 
   *              does not match the primary key that is in the E-EJB.
   */     
/*  public void setTaller(Taller taller)
    throws RemoteException, Exception;    */

}	